org.keycloak.models

## Interface AuthenticatedClientSessionModel

- All Superinterfaces:
    CommonClientSessionModel
  All Known Implementing Classes:
    AuthenticatedClientSessionAdapter, PersistentAuthenticatedClientSessionAdapter

      public interface AuthenticatedClientSessionModel
      extends CommonClientSessionModel

  Author:
    Marek Posolda

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.sessions.CommonClientSessionModel

      `CommonClientSessionModel.Action, CommonClientSessionModel.ExecutionStatus`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `detachFromUserSession()` Detaches the client session from its user session.
    `String` | `getCurrentRefreshToken()`
    `int` | `getCurrentRefreshTokenUseCount()`
    `String` | `getId()`
    `String` | `getNote(String name)`
    `Map<String,String>` | `getNotes()`
    `int` | `getTimestamp()`
    `UserSessionModel` | `getUserSession()`
    `void` | `removeNote(String name)`
    `void` | `setCurrentRefreshToken(String currentRefreshToken)`
    `void` | `setCurrentRefreshTokenUseCount(int currentRefreshTokenUseCount)`
    `void` | `setNote(String name, String value)`
    `void` | `setTimestamp(int timestamp)`

    - ### Methods inherited from interface org.keycloak.sessions.CommonClientSessionModel

      `getAction, getClient, getProtocol, getRealm, getRedirectUri, setAction, setProtocol, setRedirectUri`

- - ### Method Detail

    - #### getId

          String getId()

    - #### getTimestamp

          int getTimestamp()

    - #### setTimestamp

          void setTimestamp(int timestamp)

    - #### detachFromUserSession

          void detachFromUserSession()

      Detaches the client session from its user session.

    - #### getUserSession

          UserSessionModel getUserSession()

    - #### getCurrentRefreshToken

          String getCurrentRefreshToken()

    - #### setCurrentRefreshToken

          void setCurrentRefreshToken(String currentRefreshToken)

    - #### getCurrentRefreshTokenUseCount

          int getCurrentRefreshTokenUseCount()

    - #### setCurrentRefreshTokenUseCount

          void setCurrentRefreshTokenUseCount(int currentRefreshTokenUseCount)

    - #### getNote

          String getNote(String name)

    - #### setNote

          void setNote(String name,
                       String value)

    - #### removeNote

          void removeNote(String name)

    - #### getNotes

          Map<String,String> getNotes()

Copyright © 2020 JBoss by Red Hat. All rights reserved.